Bug 1313553 - Monitoring: process' names in list of process
Monitoring: process' names in list of process
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other (Show other bugs)
JON 3.3.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 16:44 EST by vsorokin
Modified: 2016-10-31 21:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 02:47:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Operation History: List of Processes (205.06 KB, image/png)
2016-03-01 16:44 EST, vsorokin
no flags Details
Screenshot of list of processes with lower numbers (161.86 KB, image/png)
2016-03-01 17:00 EST, vsorokin
no flags Details

  None (edit)
Description vsorokin 2016-03-01 16:44:48 EST
Created attachment 1132039 [details]
Screenshot of Operation History: List of Processes

Description of problem:

In monitoring operation 'view process list' - 
while some names of process are displayed properly,  at the same time others
displayed as '?' (screenshot attached)

Steps to Reproduce:
1) Install EAP7
2) Install JON
3) ... all  necessary configuration for monitoring ...
4) Go into pane of monitored system, create Definition for operation 'View list of process' and define time so it executes at least once.
5) Go to Summary, Resource:Operation, click to one of reports
6) Opened table contains list of processes (look attachment)

Actual results: attachment

Expected results: names of processes have to be displayed properly, not as '?'
Comment 1 Michael Burman 2016-03-01 16:52:01 EST
I don't think this has anything to do with EAP7, this is system process list. ? could indicate zombie process, though I can't be sure from this information.
Comment 2 vsorokin 2016-03-01 17:00 EST
Created attachment 1132044 [details]
Screenshot of list of processes with lower numbers
Comment 3 vsorokin 2016-03-01 17:02:41 EST
Added new screenshot, with lower numbers of processes (from 2 and up).
Too much to be zombies.
Comment 4 vsorokin 2016-03-01 17:07:39 EST
But 'ps ax' exactly shows lots of zombies...((

Note You need to log in before you can comment on or make changes to this bug.